Try it: Here
| GET | /_c/std/api/CarrierEldVehicleLocation.aspx | Retrieves the latest ELD vehicle location for a specific vehicle in a carrier fleet using its VIN. |
|---|
API Summary
Purpose
The ELD Vehicle Location Lookup API allows RMIS customers to fetch the current ELD status and geo‑location for a single vehicle within a carrier's connected fleet.
This endpoint is typically called after using ELD - Fleet Location Lookup
Calling the ELD Vehicle Location Lookup APIThe request is a GET request to the base URL:
https://api.rmissecure.com/_c/std/api/CarrierEldVehicleLocationAPI.aspxThere is 2 URL parameters required with this request
- dotNumber - The carrier's DOT number (Must be registered with RMIS client)
- Vin - Vehicle VIN
Required headers:
This call uses basic authorization as the primary authenication method.
Basic base64 encoded your RMIS clientID:pwd
Example:
RMIS Client ID: 1234
Password: MyPass123!
1234:MyPass123! base64 encoded = MTIzNDpNeVBhc3MxMjMh
Resulting header:
Basic MTIzNDpNeVBhc3MxMjMhand
Accept: application/json if you would like the results in JSON
or
Accept: application/xml if you like the results in XML
- The API always returns HTTP 200, even for failures
- Use the Success field to determine request status
- Data contains a single vehicle location object
curl --request GET \ --url 'https://api.rmissecure.com/_c/std/api/CarrierEldFleetLocationAPI.aspx?dotNumber=9999991&vin=COOL4X4JEEP4JENNM\ --header 'Accept: application/xml' \ --header 'Authorization: Basic '{ "Data": { "id": 93524575945, "vehicleId": 2524138, "latitude": 34.981266, "longitude": -83.94481, "course": 0.0, "address": "", "dateTime": "2021-09-21T18:05:56+00:00", "odometer": { "value": 14858.658, "unit": "miles" }, "speed": { "value": 158.4496, "unit": "mph" }, "vehicle": { "id": 2524138.0, "name": "JM2017", "oem": "JEEP", "model": "WRANGLER SPORT", "modelYear": "2011", "vin": "COOL4X4JEEP4JENNM", "licensePlateState": "US-GA", "licensePlateNumber": "GA1990", "eldDeviceId": "", "totalMiles": 0.0 } }, "Success": true, "Message": null }<?xml version="1.0"?> <DataResultOfVehicleLocation xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Success>true</Success> <Data> <Id>93524575945</Id> <VehicleId>2524138</VehicleId> <Latitude>34.981266</Latitude> <Longitude>-83.94481</Longitude> <Course>0</Course> <Address /> <DateTime /> <Odometer> <Value>14858.658</Value> <Unit>miles</Unit> </Odometer> <Speed> <Value>158.4496</Value> <Unit>mph</Unit> </Speed> <Vehicle> <Id>2524138</Id> <Name>JM2017</Name> <Oem>JEEP</Oem> <Model>WRANGLER SPORT</Model> <ModelYear>2011</ModelYear> <Vin>COOL4X4JEEP4JENNM</Vin> <LicensePlateState>US-GA</LicensePlateState> <LicensePlateNumber>GA1990</LicensePlateNumber> <EldDeviceId /> <TotalMiles>0</TotalMiles> </Vehicle> </Data> </DataResultOfVehicleLocation>
Restrictions:
- If the carrier is not enrolled in ELD visibility,
vehiclewill benullor an empty object, andeldEnrolledwill befalse.- If the carrier is not attached to the requesting client,
vehiclewill benullor an empty object andmessagewill contain:"Carrier must be attached for fleet visibility".- If the
vehicleIdis invalid for the givendotor the vehicle is not currently available from the ELD provider, you may receive a 404-style response or an empty vehicle payload, depending on implementation:
Error response examples
{
"eldEnrolled": false,
"vehicle": null,
"message": "Carrier is not enrolled in ELD visibility"
}<?xml version="1.0"?>
<DataResultOfVehicleLocation>
<Success>false</Success>
<Message>Carrier must be attached for fleet visibility</Message>
</DataResultOfVehicleLocation><?xml version="1.0"?>
<DataResultOfVehicleLocation>
<Success>false</Success>
<Message>Unable to find vehicle location for VIN COOL4X4JEEP4JENNM2</Message>
</DataResultOfVehicleLocation>
{
"eldEnrolled": true,
"vehicle": null,
"message": "Vehicle not found for the specified DOT and VehicleId"
}Notes
Vehicle Location and Vehicle fields may not return data depending on each ELD Provider’s implementation